LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XBitmap Interface Referencepublished

provides a bitmap in the Microsoft DIB format. More...

`import <XBitmap.idl;`

Inheritance diagram for XBitmap:

## Public Member Functions
com::sun::star::awt::Size | getSize ()
| returns the size of the bitmap in pixel.
sequence< byte > | getDIB ()
| returns the device independent bitmap.
sequence< byte > | getMaskDIB ()
| returns the transparency mask of the device independent bitmap.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides a bitmap in the Microsoft DIB format.

## Member Function Documentation

## ◆ getDIB()

sequence< byte > getDIB | ( |  | ) |

returns the device independent bitmap.

## ◆ getMaskDIB()

sequence< byte > getMaskDIB | ( |  | ) |

returns the transparency mask of the device independent bitmap.

## ◆ getSize()

com::sun::star::awt::Size getSize | ( |  | ) |

returns the size of the bitmap in pixel.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XBitmap.idl